import { PipeTransform } from '@angular/core';
/**
 * A helper class that allows us to accept Pipe implementations.
 */
export declare class PipeTransformType implements PipeTransform {
    transform(value: any, ...args: any[]): void;
}
/**
 * The Format decorator. Provide the name of a Pipe that's being used by the
 * dynamic pipe formatter. Hence, the form does not need to apply forms manually.
 * The reason is that you may create forms automatically and hence can't write
 * actual Pipes somewhere. This applies especially if you create a table and loop
 * through properties.
 *
 * @param readonly      Optional, default is true.
 * @param description   A tooltip that can be used optionally.
 */
export declare function Format(pipeName: any, pipeParams?: any[]): (target: Object, property: string | symbol) => void;
export declare function formatInternalSetup(target: any, key: string, pipeName: any, pipeParams?: any[]): void;
